package com.pcloud.book.applet.biz;

import com.pcloud.common.page.PageBeanNew;


public interface AppletRecordAggrStatisBiz {

    PageBeanNew getAggrStatis(Long wechatUserId,String keyword, Integer sourceType, Integer rankType, Integer currentPage, Integer numPerPage);

    /**
     * mySql 数据同步到 clickHouse
     */
    void fixAppletRecordDataSync4CH(String createDate);

    /**
     * 更新缓存
     */
    void updateAggrStatisCache();

    /**
     * 同步数据并更新缓存
     */
    void syncDataAndUpdateCache(String date);
}
